import ViewMessageService from '../view-message-service';
/**
 * 折线图视图消息服务对象基类
 *
 * @export
 * @class ViewMsg78MessageServiceBase
 */
export default class ViewMsg78MessageServiceBase extends ViewMessageService {


    /**
     * Creates an instance of  ViewMsg78MessageServiceBase.
     * 
     * @param {*} [opts={}]
     * @memberof  ViewMsg78MessageServiceBase
     */
    constructor(opts: any = {}) {
        super(opts);
    }

    /**
     * 初始化基础参数
     * 
     * @memberof ViewMsg78MessageServiceBase
     */
    public initBasicParam(){
        this.id = "872C53C8-DF58-41B2-BBE4-B500234AC135";
        this.name = "折线图";
        this.codename = "ViewMsg78";
        this.title = "";
        this.content = "本示例展示订单金额折线图。";
        this.closeMode = 0;
        this.position = "TOP";
        this.type = "error";
        this.isEnableRemove = false;
        this.order = 1;
        this.dynamicMode = "STATIC";
        this.hasMessageTemp = false;
        this.messageType = "TEXT";
    }

    /**
     * 转化消息模板标题和内容
     *      
     * @target {*} target 返回目标数据
     * @param {*} context 应用上下文
     * @param {*} viewparam 视图参数
     * @param {*} item 源数据
     * 
     * @memberof ViewMsg78MessageServiceBase
     */
    public translateMessageTemp(target:any,context:any,viewparam:any,item?:any){
        if(this.hasMessageTemp && Object.is(this.messageType,"HTML")){
            Object.assign(target,{title:``});
            Object.assign(target,{content:``});
        }
        if(this.hasMessageTemp && Object.is(this.messageType,"TEXT")){
            Object.assign(target,{title:""});
            Object.assign(target,{content:""});
        }
    }

}